Katello - Bug #5030

content views: Ul: unable to consistently add/remove items for a package group and errata by id filter
04/02/2014 02:25 PM - Brad Buckingham

Status: Closed

Priority: Normal

Assignee: Justin Sherrill

Category: Content Views

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

This issue is similar to http:/projects.theforeman.org/issues/5027; however, it is a separate bug.

A user is not able to consistently add/remove contents (errata ids or package groups) to/from a filter.

Scenario (using errata):
1. Pre-req - have a content view with an errata by id filter that has a few errata added to it.
2. go to the filter (e.g. Content -> Filters -> select errata filter)

3. from List/Remove, select one or errata to remove & click 'Remove Errata’
4. the errata are successfully removed

¢,

. from Add, select the same errata (removed in 3) & click 'Add Errata’
6. the errata are successfully added

7. from List/Remove, select the same errata (added in 5) & click 'Remove Errata’
8. errata are not removed and a 404 is received from the server

It appears that 8 may be trying to remove the errata using the same IDs it used when removing them in 3; however, the reality is that
they are 2 different filter rules.

Related issues:
Related to Katello - Bug #6176: Errata by ID Content View Filter does not wor... Closed 06/11/2014

Associated revisions

Revision 0d36f07f - 06/24/2014 10:58 AM - Eric Helms

Fixes #6176, #5030, #4969, BZ1103492: Improving interaction of content
view errata id filters.

The previous content view errata id filter would continously load

all errata in chunks in order to allow client side filtering. And,

while this worked for small errata sets, larger errata sets such as
RHEL 6.5 (2500ish errata) were unwieldy and led to confusion. This
change does the following:

e moves all type and date filtering server side

¢ enabled Ul select all behavior to allow adding errata that is not
currently visible client side\

e adds a new option to create errata id content view filter rules
with a bulk set of errata or based on a search/param query

Revision 09e44¢33 - 06/24/2014 02:58 PM - Eric Helms
Fixes #6176, #5030, #4969, BZ1103492: Improving interaction of content
view errata id filters.

The previous content view errata id filter would continously load
all errata in chunks in order to allow client side filtering. And,
while this worked for small errata sets, larger errata sets such as
http://projects.theforeman.org/issues/5027;

RHEL 6.5 (2500ish errata) were unwieldy and led to confusion. This
change does the following:

e moves all type and date filtering server side
e enabled Ul select all behavior to allow adding errata that is not
currently visible client side\

e adds a new option to create errata id content view filter rules
with a bulk set of errata or based on a search/param query

Revision 8510fa76 - 07/01/2014 12:53 PM - Justin Sherrill

fixes #5030 - reload filter on package group/errata rule list

Revision fab65e34 - 07/01/2014 12:53 PM - Justin Sherrill

fixes #5030 - reload filter on package group/errata rule list

Revision 16812e1e - 07/07/2014 10:22 AM - Justin Sherrill
Merge pull request #4330 from jIsherrill/filters

fixes #5030 - reload filter on package group/errata rule list
Revision ad9f4ecf - 07/07/2014 10:22 AM - Justin Sherrill

Merge pull request #4330 from jIsherrill/filters

fixes #5030 - reload filter on package group/errata rule list

History

#1 - 04/25/2014 12:03 PM - Justin Sherrill

- translation missing: en.field_release set to 13

#2 - 06/04/2014 03:32 PM - Eric Helms
- Category set to Content Views
- Target version set to 45

- Triaged changed from No to Yes

#3 - 06/11/2014 10:00 PM - Eric Helms
- Related to Bug #6176: Errata by ID Content View Filter does not work properly added

#4 - 06/16/2014 12:02 PM - Eric Helms

- Target version changed from 45 to 48

#5 - 06/23/2014 04:30 PM - Justin Sherrill
- Status changed from New to Assigned

- Assignee set to Justin Sherrill

#6 - 06/25/2014 03:52 PM - Eric Helms
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:09e44c33ac756¢4d80d8038d9014d5dc93fe5bb5.
